Bug 135978 - new directory owned by nscd
new directory owned by nscd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks: FC3Blocker
  Show dependency treegraph
 
Reported: 2004-10-15 21:00 EDT by Ulrich Drepper
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-29 17:05:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2004-10-15 21:00:44 EDT
Description of problem:
I had to change nscd to create the persistent databases in /var/db/nscd/ instead
of /var/run/nscd/.  The latter is still used for the socket and in case the
database is not persistent.

This change will require changes in the policy.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2004-10-18 16:28:28 EDT
When is this package going to show up?  I still see the files in /var/run
nscd-2.3.3-68
Comment 2 Ulrich Drepper 2004-10-18 16:35:41 EDT
2.3.3-69 will have the new directory in use.

Just to be clear: the old directories are also used.  /var/db/nscd/ is
used in addition.
Comment 3 Daniel Walsh 2004-10-18 16:38:50 EDT
Will this be in fc3 or later?

Dan
Comment 4 Ulrich Drepper 2004-10-18 16:49:37 EDT
It'll be in FC3.  So the policy changes must, too.
Comment 5 Daniel Walsh 2004-10-18 16:58:56 EDT
Ok added to policy-1.17.30-2.2
Comment 6 Ulrich Drepper 2004-10-29 17:05:26 EDT
Verified.

Note You need to log in before you can comment on or make changes to this bug.